Attribute VB_Name = "Module1"
Option Explicit

Declare Function SendMessage Lib "user32" Alias "SendMessageA" _
                            (ByVal hWnd As Long, _
                            ByVal wMsg As Long, _
                            wParam As Long, _
                            lParam As Any) As Long

Declare Function IsWindow Lib "user32" _
                            (ByVal hWnd As Long) As Long

Declare Function MoveWindow Lib "user32" _
                            (ByVal hWnd As Long, _
                            ByVal X As Long, _
                            ByVal Y As Long, _
                            ByVal nWidth As Long, _
                            ByVal nHeight As Long, _
                            ByVal bRepaint As Long) As Long

Declare Function DestroyWindow Lib "user32" _
                            (ByVal hWnd As Long) As Long

' The data type for lpRect was changed from "As RECT" to
' "As Any" to allow a null pointer to be passed (i.e. ByRef 0)
' BTW the RECT structure is declared in MStatusDefs
Declare Function InvalidateRect Lib "user32" _
                            (ByVal hWnd As Long, _
                            lpRect As Any, _
                            ByVal bErase As Long) As Long

Declare Function GetWindowRect Lib "user32" _
                            (ByVal hWnd As Long, _
                            lpRect As RECT) As Long

Declare Function MessageBox Lib "user32" Alias "MessageBoxA" _
                            (ByVal hWnd As Long, _
                            ByVal lpText As String, _
                            ByVal lpCaption As String, _
                            ByVal wType As Long) As Long
